package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.Subject;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 乐团报名，乐团基本信息
 */
public class MusicGroupRegRespDto {

    //乐团名称
    private String musicGroupName;

    //乐团状态
    private String musicGroupStatus;

    //乐团声部信息
    private List<Subject> subjectList;


    public String getMusicGroupName() {
        return musicGroupName;
    }

    public void setMusicGroupName(String musicGroupName) {
        this.musicGroupName = musicGroupName;
    }

    public List<Subject> getSubjectList() {
        return subjectList;
    }

    public void setSubjectList(List<Subject> subjectList) {
        this.subjectList = subjectList;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    public String getMusicGroupStatus() {
        return musicGroupStatus;
    }

    public void setMusicGroupStatus(String musicGroupStatus) {
        this.musicGroupStatus = musicGroupStatus;
    }
}
